Home

# Class goog.ui.CccButton

CCC-style implementation of a button. The Html structure of the button is:

    Element
    ------------------------
    - a
    - b
    - b
    - b
    - text

extends goog.ui.DeprecatedButton

Instance Method Summary
| `decorate(?Element element)` Decorates the element for the UI component.
| `getDisabledClass() ⇒ string` Gets the CSS class to use for when disabled.
| `getEnabledClass() ⇒ string` Gets the CSS class to use for when enabled.
| `getNextUniqueId_() ⇒ string` Gets the next unique ID for the component. This method is used in the constructor to generate the unique ID for the component. NOTE: This method is placed on the prototype so that classes that inherit this class can override this method and have the ID automatically set by calling the parent class's constructor.
| `isValidButtonChildHelper_(?Element element, string tag) ⇒ boolean` Helper for checking if the structure of an element is valid for this component.
| `render(?Element= opt_element)` Renders the component. Throws an Error if the component is already rendered.
| `setCaption(string caption)` Sets the caption for the component.
| `setEnabled(boolean enable)` Sets the enabled status of the component.

Static Method Summary
| `getNextUniqueId() ⇒ string` Gets the next unique ID for the component.